From fc800c836a531b11bc0099e414fd6fbe8fe53aae Mon Sep 17 00:00:00 2001
From: Harald Pfeiffer <coding@lirion.de>
Date: Sat, 8 Apr 2023 13:34:49 +0200
Subject: fix: non-SLE suse did not apply anywhere

---
 .bash/prompt.bash | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/.bash/prompt.bash b/.bash/prompt.bash
index 056d215..75ca24a 100644
--- a/.bash/prompt.bash
+++ b/.bash/prompt.bash
@@ -29,7 +29,7 @@ case "$MYUID" in
 			# the colour of Geeko:
 			#*suse|aix)		FGC2="fgcolor 22";FGC3="fgcolor 41";;
 			*sles*)			FGC2="fgcolor 22";FGC3="fgcolor 83";;
-			*suse)			FGC2="fgcolor 30";FGC3="fgcolor 83";;
+			*suse*)			FGC2="fgcolor 30";FGC3="fgcolor 83";;
 			aix)			FGC2="fgcolor 238";FGC3="fgcolor 83";;
 			*centos*)		FGC2="fgcolor 25";FGC3="fgcolor 208";;
 			*solaris)		FGC2="fgcolor 31";FGC3="fgcolor 124";;
@@ -48,7 +48,7 @@ case "$MYUID" in
 			fedora)			FGC1="fgcolor 88";FGC3="fgcolor 203";;
 			#*suse|aix)		FGC1="fgcolor 22";FGC3="fgcolor 41";;
 			*sles*)			FGC1="fgcolor 22";FGC3="fgcolor 83";;
-			*suse)			FGC1="fgcolor 30";FGC3="fgcolor 83";;
+			*suse*)			FGC1="fgcolor 30";FGC3="fgcolor 83";;
 			aix)			FGC1="fgcolor 238";FGC3="fgcolor 83";;
 			*centos*)		FGC1="fgcolor 25";FGC3="fgcolor 208";;
 			*solaris)		FGC1="fgcolor 31";FGC3="fgcolor 124";;
-- 
cgit v1.2.3


From 10aabab8912182302ae549e83f9cae6a245c4e4d Mon Sep 17 00:00:00 2001
From: Harald Pfeiffer <coding@lirion.de>
Date: Sat, 8 Apr 2023 13:35:34 +0200
Subject: + termux

---
 .bash/prompt.bash | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/.bash/prompt.bash b/.bash/prompt.bash
index 75ca24a..9908c56 100644
--- a/.bash/prompt.bash
+++ b/.bash/prompt.bash
@@ -38,6 +38,11 @@ case "$MYUID" in
 			rocky)			FGC2="fgcolor 22";FGC3="fgcolor 41";;
 			*)				FGC2="fgcolor 240";FGC3="fgcolor 244";;
 		esac
+		if [ -n "$TERMUX_APK_RELEASE" ]; then
+			if [ "$TERMUX_APK_RELEASE" == "F_DROID" ]; then
+				FGC2="fgcolor 27";FGC3="fgcolor 35"
+			fi
+		fi
 	;;
 	*)
 		FGC2="fgcolor 253"
@@ -57,6 +62,11 @@ case "$MYUID" in
 			rocky)			FGC1="fgcolor 22";FGC3="fgcolor 41";;
 			*)				FGC1="fgcolor 240";FGC3="fgcolor 244";;
 		esac
+		if [ -n "$TERMUX_APK_RELEASE" ]; then
+			if [ "$TERMUX_APK_RELEASE" == "F_DROID" ]; then
+				FGC1="fgcolor 27";FGC3="fgcolor 35"
+			fi
+		fi
 	;;
 esac
 # HYPERVISOR LAYER 8 SOFTWARE
-- 
cgit v1.2.3


From e27c0a03d5c5163bfd9df624368d458041c87521 Mon Sep 17 00:00:00 2001
From: Harald Pfeiffer <coding@lirion.de>
Date: Sat, 6 May 2023 09:57:49 +0200
Subject: Superseding flake8-colors - considering that deprecated

From flake8 5.0.0 on, flake8 natively supports `--color` [^1],
rendering the installation of flake8-colors obsolete. (Kudos
so far for the nice work, nonetheless.)

Debian 12 (frozen and one month before release at the point of this
update) moved flake8 from 3.8.4 to 5.0.4, so I'm moving along.
(Also, no need for venv magic anymore.)

[^1] [flake8 changelog for 5.0.0](https://flake8.pycqa.org/en/latest/release-notes/5.0.0.html)
---
 .flake8 | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/.flake8 b/.flake8
index d236572..32eea63 100644
--- a/.flake8
+++ b/.flake8
@@ -9,4 +9,6 @@ max-line-length = 100
 # Do test for docstrings. Laziness sucks.
 doctests = True
 # use only if flake8-colors is installed:
-format = ${cyan}%(path)s${reset}:${yellow_bold}%(row)d${reset}:${green_bold}%(col)d${reset}:\\t${red_bold}%(code)s${reset} %(text)s
+# format = ${cyan}%(path)s${reset}:${yellow_bold}%(row)d${reset}:${green_bold}%(col)d${reset}:\\t${red_bold}%(code)s${reset} %(text)s
+# Superseding flake8-colors:
+format = %(cyan)s%(path)s%(reset)s:%(yellow)s%(bold)s%(row)d%(reset)s:%(green)s%(bold)s%(col)d%(reset)s: %(red)s%(bold)s%(code)s%(reset)s %(text)s
-- 
cgit v1.2.3


From 6c6b1f1c7ae29bc5cda8982a99eb21836ab14d98 Mon Sep 17 00:00:00 2001
From: Harald Pfeiffer <coding@lirion.de>
Date: Sat, 6 May 2023 10:44:53 +0200
Subject: New colours for Debian > 12 and derivatives
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

- Distinguish Debian >= 12 – Debian 12 introduces emerald theming
- Corporate work includes refined Ubuntu settings. Adjusting to
  match Ubuntu >= 22
---
 .bash/prompt.bash | 42 ++++++++++++++++++++++++++++++++++++++----
 1 file changed, 38 insertions(+), 4 deletions(-)

diff --git a/.bash/prompt.bash b/.bash/prompt.bash
index 9908c56..314aa1b 100644
--- a/.bash/prompt.bash
+++ b/.bash/prompt.bash
@@ -17,11 +17,19 @@ bgcolor () {
 #   stupid old asterisk (*). Well, here hetting "no digits" practically won't hurt.
 MYUID="$(id|sed 's/.*uid=\([0-9]*\).*/\1/g')";export MYUID
 #   ...because "empty" will hit the "any" condition in the end :)
+OSMAJVER="$(grep '^VERSION_ID' /etc/os-release|awk -F= '{print $NF}'|sed 's/"//g'|awk -F\. '{print $1}')"
 case "$MYUID" in
 	0)
 		FGC1="fgcolor 88"
 		case "$OSNAME" in
-			debian)         FGC3="fgcolor 38";FGC2="fgtcolor 155 15 64";;
+			debian)
+				# Debian 12 = emerald
+				if [ "$OSMAJVER" -ge 12 ];then
+							FGC3="fgcolor 36";FGC2="fgtcolor 155 15 64"
+				else
+							FGC3="fgcolor 38";FGC2="fgcolor 155 15 64"
+				fi
+			;;
 			arch)			FGC2="fgcolor 24";FGC3="fgcolor 240";;
 			redhat)			FGC1="fgcolor 23";FGC2="fgcolor 88";FGC3="fgcolor 203";;
 			fedora)			FGC1="fgcolor 160";FGC2="fgcolor 88";FGC3="fgcolor 203";;
@@ -33,7 +41,17 @@ case "$MYUID" in
 			aix)			FGC2="fgcolor 238";FGC3="fgcolor 83";;
 			*centos*)		FGC2="fgcolor 25";FGC3="fgcolor 208";;
 			*solaris)		FGC2="fgcolor 31";FGC3="fgcolor 124";;
-			ubuntu)			FGC2="fgcolor 130";FGC3="fgcolor 215";;
+			ubuntu)
+				if [ "$OSMAJVER" -ge 22 ];then
+					if printf "%b" "$TERM"|grep -P 'xterm|256' > /dev/null;then
+							FGC2="fgcolor 89";FGC3="fgcolor 208"
+					else
+							FGC2="fgcolor 53";FGC3="fgcolor 184"
+					fi
+				else
+							FGC2="fgcolor 130";FGC3="fgcolor 215"
+				fi
+			;;
 			rasp*)			FGC2="fgcolor 253";FGC3="fgcolor 126";;
 			rocky)			FGC2="fgcolor 22";FGC3="fgcolor 41";;
 			*)				FGC2="fgcolor 240";FGC3="fgcolor 244";;
@@ -47,7 +65,13 @@ case "$MYUID" in
 	*)
 		FGC2="fgcolor 253"
 		case "$OSNAME" in
-			debian)         FGC1="fgtcolor 155 15 64";FGC3="fgcolor 38";;
+			debian)
+				if [ "$OSMAJVER" -ge 12 ];then
+							FGC1="fgtcolor 155 15 64";FGC3="fgcolor 36"
+				else
+							FGC1="fgtcolor 155 15 64";FGC3="fgcolor 38"
+				fi
+			;;
 			arch)			FGC1="fgcolor 24";FGC3="fgcolor 239";;
 			redhat)			FGC1="fgcolor 23";FGC3="fgcolor 88";;
 			fedora)			FGC1="fgcolor 88";FGC3="fgcolor 203";;
@@ -57,7 +81,17 @@ case "$MYUID" in
 			aix)			FGC1="fgcolor 238";FGC3="fgcolor 83";;
 			*centos*)		FGC1="fgcolor 25";FGC3="fgcolor 208";;
 			*solaris)		FGC1="fgcolor 31";FGC3="fgcolor 124";;
-			ubuntu)			FGC1="fgcolor 130";FGC3="fgcolor 215";;
+			ubuntu)
+				if [ "$OSMAJVER" -ge 22 ];then
+					if printf "%b" "$TERM"|grep -P 'xterm|256' > /dev/null;then
+							FGC1="fgcolor 89";FGC3="fgcolor 208"
+					else
+							FGC1="fgcolor 53";FGC3="fgcolor 184"
+					fi
+				else
+							FGC1="fgcolor 130";FGC3="fgcolor 215"
+				fi
+			;;
 			rasp*)			FGC1="fgcolor 53";FGC3="fgcolor 126";;
 			rocky)			FGC1="fgcolor 22";FGC3="fgcolor 41";;
 			*)				FGC1="fgcolor 240";FGC3="fgcolor 244";;
-- 
cgit v1.2.3


From 1fcad4f954973302e62b8dd99147e8209e1a75ff Mon Sep 17 00:00:00 2001
From: Harald Pfeiffer <coding@lirion.de>
Date: Sat, 6 May 2023 10:48:41 +0200
Subject: fix: root colouring for Debian < 12

---
 .bash/prompt.bash | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/.bash/prompt.bash b/.bash/prompt.bash
index 314aa1b..a3b22c5 100644
--- a/.bash/prompt.bash
+++ b/.bash/prompt.bash
@@ -27,7 +27,7 @@ case "$MYUID" in
 				if [ "$OSMAJVER" -ge 12 ];then
 							FGC3="fgcolor 36";FGC2="fgtcolor 155 15 64"
 				else
-							FGC3="fgcolor 38";FGC2="fgcolor 155 15 64"
+							FGC3="fgcolor 38";FGC2="fgtcolor 155 15 64"
 				fi
 			;;
 			arch)			FGC2="fgcolor 24";FGC3="fgcolor 240";;
-- 
cgit v1.2.3

block;font-size:4em;}
#mail,#philosophy,#hots {text-align:justify;}
#mail h2:before, #philosophy h2:before,#hots h2:before {
	font-family:"Elusive Icons";
	display:block;font-size:3em;font-weight:normal;
}
#mail h2:before {content:"\e6e1";}
#mail .remark,#philosophy .remark,#hots .remark {font-size:80%;margin-top:2em;font-style:italic;}
#mail strong,#philosophy strong {color:#a00;}
/*#philosophy h2:before {content:"\262f\fe0f\000a";display:block;font-size:4em;}*/
#philosophy h2:before {content:"\262f";}
#hots h2:before {
	content:" ";
	background:transparent url('//lirion.de/heroes-of-the-storm.svg') center center;
	background-size:1.5em 1.5em;
	width:1.5em;height:1.5em;text-align:center;margin:0 auto;padding:0;display:block;
}
#hots p#hotslogs {text-align:center; margin:0 auto;margin-bottom:1em;}
#rebuild {text-decoration:blink;color:#30c000;}
#os-releases {/*width:66.6%;*/margin-left:2em;}
#os-releases th {text-align:left;}
#os-releases tr:nth-child(2n-1) td {background-color:#bcd1c1;}
#os-releases tr td,#os-releases tr th {padding:0 0.75em;}
#os-releases tr td.hash {font-family:"DejaVu Sans Mono",Monospace,monospace,serif;font-size:90%;}
#nowww {
	position:fixed;top:4em;right:1em;margin:0;padding:0;
	background:transparent url('/assets/no_www.png') bottom right no-repeat;
	background-size:80px auto;width:80px;height:80px;
}
#nowww a {
	display:block;margin:0;padding:0;
	width:80px;height:80px;
}
#nowww a span {display:none;}

div.markdown-body p:last-child { padding-bottom:1.5em; }
div#cgit {margin-bottom:2em;}
@keyframes fadeDown {
	0% {
		opacity: 0;
		transform: translateY(-20px);
	}
	100% {
		opacity: 1;
		transform: translateY(0);
	}
}

.fadeDown, header {
	animation:fadeDown 1s ease;
}

/* jekyll */

header.post-header { margin-top: 0.1337em; }
.post h1 { font-size:2.1337em; text-align: left; }
.post h1+p { text-align: left; }
ul.post-list {
	background: #f0f0f0;
	list-style: none;
	padding-inline-start: 0;
	padding: 0.8em;
}
ul.post-list li { padding:0.4em; }
ul.post-list li:nth-child(2n-1) { background-color:#ffffff; }
ul.post-list li span.post-meta {
	font-weight: bold;font-style: oblique;font-size:100%;
}
ul.post-list li span.post-meta:after { content: ':'; }
ul.post-list li h3 {
	font-size: 100%;font-weight: normal; display: inline;
	margin-left: 1em;
	font-family: "Telex","Helvetica Neue",Helvetica,Arial,sans-serif;
	border-bottom: none;
}
ul.post-list li h3 a {
	text-decoration: none;
}
nav.blog-nav {
    background: transparent;
	position: static;
	border: none;
}
.blog-nav .nav-trigger { display:none; }
.blog-nav .menu-icon { display:none; }
.post-content table {
  margin-bottom: 30px;
  width: 100%;
  text-align: left;
  color: #3f3f3f;
  border-collapse: collapse;
  border: 1px solid #d0d0d0; }
  .post-content table tr:nth-child(odd) {
    background-color: #e0e0e0; }
  .post-content table tr:nth-child(even) {
    background-color: #f0f0f0; }
  .post-content table th, table td {
    padding: 10px 15px; }
  .post-content table th {
    background-color: #f0f0f0;
    border: 1px solid #dedede;
    border-bottom-color: #c9c9c9; }
  .post-content table td {
    border: 1px solid #e8e8e8; }
.blog-nav a.page-link {
	text-decoration: none;
	font-size:110%;
	border-left: 1px solid;
	border-right: 1px solid;
	margin-left: 0.1em;margin-right:0.1em;
	padding-left:0.7331em;padding-right: 0.7331em;
	display: inline-block;
}
.blog-nav a.page-link:first-child {
	margin-left: 0;
	border-left: 0;
}
.blog-nav a.page-link:last-child {
	margin-right: 0;
	border-right: 0;
}
figure.highlight {
	margin: 0 auto;
	margin-left: 1em;
	padding: 0.666em;
}
figure.highlight pre {
	margin-top: 0;
	margin-bottom: 0;
	overflow-x: auto;
    overflow-y: hidden;
}
figure.highlight pre code, code.highlighter-rouge {
	font-size: 0.8em;
}
article.post div.post-content, #tocw {
	background: rgba(251,255,253,0.6);
	padding: 0.666em;
}
main.page-content a, footer.site-footer a {
	text-decoration: none;
	color: #169b62;
	font-weight: 550;
}
main.page-content a:hover, footer.site-footer a:hover, main.page-content a:active,
footer.site-footer a:active {
	color: #ff883e;
}
.highlight { background: #e8fff0; }
#tocw ol {
	list-style-type: decimal;
	counter-reset: item;
    padding-left: 10px;
}
#tocw ol li {
	display: block;
}
#tocw > ol > li {
	padding-left: 0.5em;
}
#tocw > ol > li > ol > li {
	padding-left: 0.666em;
}
#tocw > ol > li > ol > li > ol > li {
	padding-left: 1.337em;
}
#tocw ol li:before {
    content: counters(item, ".") ". ";
    counter-increment: item
}
/*main.page-content h2:before {
	content: counter(heading)". ";
	counter-increment: heading;
}
main.page-content h2 {
	counter-reset: subheading;
}
main.page-content h3:before {
	content: counter(heading)"." counter(subheading)". ";
	counter-increment: subheading;
}*/
/**
 * Syntax highlighting styles
 */
.highlight {
  background: #fff; }
  .highlighter-rouge .highlight {
    background: #eef; }
  .highlight .c {
    color: #998;
    font-style: italic; }
  .highlight .err {
    color: #a61717;
    background-color: #e3d2d2; }
  .highlight .k {
    font-weight: bold; }
  .highlight .o {
    font-weight: bold; }
  .highlight .cm {
    color: #998;
    font-style: italic; }
  .highlight .cp {
    color: #999;
    font-weight: bold; }
  .highlight .c1 {
    color: #998;
    font-style: italic; }
  .highlight .cs {
    color: #999;
    font-weight: bold;
    font-style: italic; }
  .highlight .gd {
    color: #000;
    background-color: #fdd; }
  .highlight .gd .x {
    color: #000;
    background-color: #faa; }
  .highlight .ge {
    font-style: italic; }
  .highlight .gr {
    color: #a00; }
  .highlight .gh {
    color: #999; }
  .highlight .gi {
    color: #000;
    background-color: #dfd; }
  .highlight .gi .x {
    color: #000;
    background-color: #afa; }
  .highlight .go {
    color: #888; }
  .highlight .gp {
    color: #555; }
  .highlight .gs {
    font-weight: bold; }
  .highlight .gu {
    color: #aaa; }
  .highlight .gt {
    color: #a00; }
  .highlight .kc {
    font-weight: bold; }
  .highlight .kd {
    font-weight: bold; }
  .highlight .kp {
    font-weight: bold; }
  .highlight .kr {
    font-weight: bold; }
  .highlight .kt {
    color: #458;
    font-weight: bold; }
  .highlight .m {
    color: #099; }
  .highlight .s {
    color: #d14; }
  .highlight .na {
    color: #008080; }
  .highlight .nb {
    color: #0086B3; }
  .highlight .nc {
    color: #458;
    font-weight: bold; }
  .highlight .no {
    color: #008080; }
  .highlight .ni {
    color: #800080; }
  .highlight .ne {
    color: #900;
    font-weight: bold; }
  .highlight .nf {
    color: #900;
    font-weight: bold; }
  .highlight .nn {
    color: #555; }
  .highlight .nt {
    color: #000080; }
  .highlight .nv {
    color: #008080; }
  .highlight .ow {
    font-weight: bold; }
  .highlight .w {
    color: #bbb; }
  .highlight .mf {
    color: #099; }
  .highlight .mh {
    color: #099; }
  .highlight .mi {
    color: #099; }
  .highlight .mo {
    color: #099; }
  .highlight .sb {
    color: #d14; }
  .highlight .sc {
    color: #d14; }
  .highlight .sd {
    color: #d14; }
  .highlight .s2 {
    color: #d14; }
  .highlight .se {
    color: #d14; }
  .highlight .sh {
    color: #d14; }
  .highlight .si {
    color: #d14; }
  .highlight .sx {
    color: #d14; }
  .highlight .sr {
    color: #009926; }
  .highlight .s1 {
    color: #d14; }
  .highlight .ss {
    color: #990073; }
  .highlight .bp {
    color: #999; }
  .highlight .vc {
    color: #008080; }
  .highlight .vg {
    color: #008080; }
  .highlight .vi {
    color: #008080; }
  .highlight .il {
    color: #099; }
</style>
<link rel="stylesheet" type="text/css" href="/fonts/telex-ht-regular.css"/>
<link rel="stylesheet" type="text/css" href="/fonts/alte-din.css"/>
<link rel="stylesheet" type="text/css" href="/fonts/elusive-icons.css"/>
	<!-- Matomo -->
	<script type="text/javascript">
		var _paq = window._paq = window._paq || [];
		/* tracker methods like "setCustomDimension" should be called before "trackPageView" */
		// require user consent before processing data
		_paq.push(['requireConsent']);
		_paq.push(['trackPageView']);
		_paq.push(['rememberConsentGiven']);
		_paq.push(['enableLinkTracking']);
		(function() {
			var u="https://piwik.lirion.de/";
			_paq.push(['setTrackerUrl', u+'matomo.php']);
			_paq.push(['setSiteId', '2']);
			var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
			g.type='text/javascript'; g.async=true; g.src=u+'matomo.js'; s.parentNode.insertBefore(g,s);
		})();
	</script>
	<!-- End Matomo Code -->
</head>
<body>
<header>
	<h1>git.lirion.de</h1>
	<p>Of git, get, and gud</p>
</header>
<nav>
	<a href="//lirion.de/" title="home"><span>lirion.de</span></a>
	<a href="//lirion.de/" title="links"><span>Links</span></a>
	<a href="//lirion.de/" title="about"><span>About</span></a>
	<a href="//mail.lirion.de/" title="contact"><span>Contact</span></a>
	<a href="//git.lirion.de" title="git"><span>GIT</span></a>
	<a href="//blog.lirion.de" title="blog"><span>Blog</span></a>
	<a href="//autoconfig.lirion.de" title="autoconf"><span>autoconf</span></a>
	<a href="//packages.lirion.de" title="packages"><span>packages</span></a>
	<a href="//proboscidea.lirion.de" title="mastodon"><span>Mastodon</span></a>
</nav>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/control-repo-template/'>control-repo-template</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='01346d7d2198d91044bef426ba2ca17c745cec25'/><select name='h' onchange='this.form.submit();'>
<option value='config_version_lirion'>config_version_lirion</option>
<option value='production' selected='selected'>production</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>puppetlabs/control-repo extended with not-so-core stuff</td><td class='sub right'>H. P.</td></tr></table>
<table class='tabs'><tr><td>
<a href='/control-repo-template/?h=production'>summary</a><a href='/control-repo-template/refs/?h=production&amp;id=01346d7d2198d91044bef426ba2ca17c745cec25'>refs</a><a href='/control-repo-template/log/hieradata/common.yaml?h=production'>log</a><a class='active' href='/control-repo-template/tree/hieradata/common.yaml?h=production&amp;id=01346d7d2198d91044bef426ba2ca17c745cec25'>tree</a><a href='/control-repo-template/commit/hieradata/common.yaml?h=production&amp;id=01346d7d2198d91044bef426ba2ca17c745cec25'>commit</a><a href='/control-repo-template/diff/hieradata/common.yaml?h=production&amp;id=01346d7d2198d91044bef426ba2ca17c745cec25'>diff</a><a href='/control-repo-template/stats/hieradata/common.yaml?h=production'>stats</a></td><td class='form'><form class='right' method='get' action='/control-repo-template/log/hieradata/common.yaml'>
<input type='hidden' name='h' value='production'/><input type='hidden' name='id' value='01346d7d2198d91044bef426ba2ca17c745cec25'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/control-repo-template/tree/?h=production&amp;id=01346d7d2198d91044bef426ba2ca17c745cec25'>root</a>/<a href='/control-repo-template/tree/hieradata?h=production&amp;id=01346d7d2198d91044bef426ba2ca17c745cec25'>hieradata</a>/<a href='/control-repo-template/tree/hieradata/common.yaml?h=production&amp;id=01346d7d2198d91044bef426ba2ca17c745cec25'>common.yaml</a></div><div class='content'>blob: 80bad3a395bc11826363789210510a2ebd1163d2 (<a href='/control-repo-template/plain/hieradata/common.yaml?h=production&amp;id=01346d7d2198d91044bef426ba2ca17c745cec25'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
</pre></td>
<td class='lines'><pre><code><style>pre { line-height: 125%; }
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #aaaaaa; font-style: italic } /* Comment */
.highlight .err { color: #FF0000; background-color: #FFAAAA } /* Error */
.highlight .k { color: #0000aa } /* Keyword */
.highlight .ch { color: #aaaaaa; font-style: italic } /* Comment.Hashbang */
.highlight .cm { color: #aaaaaa; font-style: italic } /* Comment.Multiline */
.highlight .cp { color: #4c8317 } /* Comment.Preproc */
.highlight .cpf { color: #aaaaaa; font-style: italic } /* Comment.PreprocFile */
.highlight .c1 { color: #aaaaaa; font-style: italic } /* Comment.Single */
.highlight .cs { color: #0000aa; font-style: italic } /* Comment.Special */
.highlight .gd { color: #aa0000 } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #000080; font-weight: bold } /* Generic.Heading */
.highlight .gi { color: #00aa00 } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #800080; font-weight: bold } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #0000aa } /* Keyword.Constant */
.highlight .kd { color: #0000aa } /* Keyword.Declaration */
.highlight .kn { color: #0000aa } /* Keyword.Namespace */
.highlight .kp { color: #0000aa } /* Keyword.Pseudo */
.highlight .kr { color: #0000aa } /* Keyword.Reserved */
.highlight .kt { color: #00aaaa } /* Keyword.Type */
.highlight .m { color: #009999 } /* Literal.Number */
.highlight .s { color: #aa5500 } /* Literal.String */
.highlight .na { color: #1e90ff } /* Name.Attribute */
.highlight .nb { color: #00aaaa } /* Name.Builtin */
.highlight .nc { color: #00aa00; text-decoration: underline } /* Name.Class */
.highlight .no { color: #aa0000 } /* Name.Constant */
.highlight .nd { color: #888888 } /* Name.Decorator */
.highlight .ni { color: #880000; font-weight: bold } /* Name.Entity */
.highlight .nf { color: #00aa00 } /* Name.Function */
.highlight .nn { color: #00aaaa; text-decoration: underline } /* Name.Namespace */
.highlight .nt { color: #1e90ff; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #aa0000 } /* Name.Variable */
.highlight .ow { color: #0000aa } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #009999 } /* Literal.Number.Bin */
.highlight .mf { color: #009999 } /* Literal.Number.Float */
.highlight .mh { color: #009999 } /* Literal.Number.Hex */
.highlight .mi { color: #009999 } /* Literal.Number.Integer */
.highlight .mo { color: #009999 } /* Literal.Number.Oct */
.highlight .sa { color: #aa5500 } /* Literal.String.Affix */
.highlight .sb { color: #aa5500 } /* Literal.String.Backtick */
.highlight .sc { color: #aa5500 } /* Literal.String.Char */
.highlight .dl { color: #aa5500 } /* Literal.String.Delimiter */
.highlight .sd { color: #aa5500 } /* Literal.String.Doc */
.highlight .s2 { color: #aa5500 } /* Literal.String.Double */
.highlight .se { color: #aa5500 } /* Literal.String.Escape */
.highlight .sh { color: #aa5500 } /* Literal.String.Heredoc */
.highlight .si { color: #aa5500 } /* Literal.String.Interpol */
.highlight .sx { color: #aa5500 } /* Literal.String.Other */
.highlight .sr { color: #009999 } /* Literal.String.Regex */
.highlight .s1 { color: #aa5500 } /* Literal.String.Single */
.highlight .ss { color: #0000aa } /* Literal.String.Symbol */
.highlight .bp { color: #00aaaa } /* Name.Builtin.Pseudo */
.highlight .fm { color: #00aa00 } /* Name.Function.Magic */
.highlight .vc { color: #aa0000 } /* Name.Variable.Class */
.highlight .vg { color: #aa0000 } /* Name.Variable.Global */
.highlight .vi { color: #aa0000 } /* Name.Variable.Instance */
.highlight .vm { color: #aa0000 } /* Name.Variable.Magic */
.highlight .il { color: #009999 } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span><span class="nn">---</span>
<span class="nt">message</span><span class="p">:</span><span class="w"> </span><span class="s">&quot;This</span><span class="nv"> </span><span class="s">node</span><span class="nv"> </span><span class="s">is</span><span class="nv"> </span><span class="s">using</span><span class="nv"> </span><span class="s">common</span><span class="nv"> </span><span class="s">data&quot;</span>

<span class="c1">#Puppet Server Tuning</span>
<span class="nt">puppet_enterprise::master::puppetserver::jruby_max_requests_per_instance</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">0</span>
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<!--/div>
<footer class="footer">
	<p-->
	<div class="footer">
		&copy; 2014-2019 lirion.de &ndash; served by <a href="https://git.zx2c4.com/cgit/about/">cgit</a> &ndash; All Rights Reverse Engineered
	</div>
	<!--/p>
</footer>
<div-->
</div> <!-- id=cgit -->
</body>
</html>
